Last Comment Bug 335785 - wrapper reparenting leak on gmail
: wrapper reparenting leak on gmail
Status: RESOLVED FIXED
[patch] regression from 333697, regre...
: fixed1.8.0.7, fixed1.8.1, mlk, regression
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla1.8.1
Assigned To: David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
:
:
Mentors:
https://mail.google.com/
Depends on:
Blocks: 321299 333697
  Show dependency treegraph
 
Reported: 2006-04-28 01:55 PDT by David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
Modified: 2006-08-18 16:14 PDT (History)
8 users (show)
mtschrep: blocking1.8.1+
dveditz: blocking1.8.0.4-
dveditz: blocking1.8.0.5-
dveditz: blocking1.8.0.7+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.36 KB, patch)
2006-04-28 01:57 PDT, David Baron :dbaron: ⌚️UTC-7 (busy September 14-25)
mrbkap: review+
jst: superreview+
dveditz: approval‑branch‑1.8.1-
dveditz: approval1.8.0.4-
dveditz: approval1.8.0.5-
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2006-04-28 01:55:59 PDT
A leak in the wrapper reparenting code causes a significant leak of XPCOM objects (including numerous DOM window nsGlobalObject s) by just going to https://mail.google.com/ (when user login is remembered) and closing the browser window.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2006-04-28 01:57:53 PDT
Created attachment 220115 [details] [diff] [review]
patch
Comment 2 Blake Kaplan (:mrbkap) 2006-04-28 03:17:31 PDT
Comment on attachment 220115 [details] [diff] [review]
patch

Darnit. Thanks for finding and fixing this.
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2006-04-28 17:20:59 PDT
Comment on attachment 220115 [details] [diff] [review]
patch

sr=jst
Comment 4 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2006-04-28 17:24:08 PDT
Fix checked in to trunk.
Comment 5 Daniel Veditz [:dveditz] 2006-05-01 11:27:56 PDT
Comment on attachment 220115 [details] [diff] [review]
patch

How many more of these are there likely to be?
Comment 6 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2006-05-01 11:33:00 PDT
More of what?  This was a regression from a change two days before; the only other leak on at least basic uses of gmail is bug 206520.
Comment 7 Daniel Veditz [:dveditz] 2006-05-02 11:26:45 PDT
Comment on attachment 220115 [details] [diff] [review]
patch

approved for 1.8.0 branch, a=dveditz for drivers
Comment 8 Daniel Veditz [:dveditz] 2006-05-03 10:44:09 PDT
Comment on attachment 220115 [details] [diff] [review]
patch

Unapproving for 1.8.0.4 and moving to next release per bug 321299 comment 36
Comment 9 Daniel Veditz [:dveditz] 2006-06-15 14:29:35 PDT
Comment on attachment 220115 [details] [diff] [review]
patch

Jonas says we'll get a combined branch patch for all the related regressions.
Comment 10 Daniel Veditz [:dveditz] 2006-06-21 15:57:40 PDT
Moving to 1.8.0.6 to follow bug 321299
Comment 11 Daniel Veditz [:dveditz] 2006-07-06 14:20:59 PDT
If bug 321299 is blocking 1.8.1 then this should be also.
Comment 12 Benjamin Smedberg [:bsmedberg] 2006-08-15 12:45:36 PDT
Jonas, was this fixed by the branch patches in bug 321299?
Comment 13 Blake Kaplan (:mrbkap) 2006-08-15 13:23:12 PDT
This was fixed with bug 321299 on the 1.8 branch.
Comment 14 Blake Kaplan (:mrbkap) 2006-08-18 16:14:46 PDT
I checked a combined patch into the 1.8.0 branch.

Note You need to log in before you can comment on or make changes to this bug.